<?
/*

 $Id: modules.php,v 1.6 2003/07/24 23:05:46 vollmerk Exp $
 $Source: /data/cvsroot/maintain/modules/class/modules.php,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


/*!
	@header Modules Class
	This is the class called when you want to add an active module. This 
	class creates a new Module object and stuffs it into $this->modules["<MODULE NAME>"]
	for checking later. 

*/

class Modules {

	var $modules;

	function Modules() { 
		$this->modules = array();
	}
	
	/*!
		@function add_module	
		@discussion add a modules to the list
	*/
	function add_module($name,$filename,$config,$enabled) { 
		global $conf;

		//create a new module object		
		$this->modules["$name"] = new Module($name,$filename,$config,$enabled); 
	} //add_module

	/*!
		@function get_info
		@discussion gets the vars for a specific module... 
	*/
	function get_info($module) {
		global $conf;

		$included = @include($conf['prefix'] . $this->modules[$module]->config);

		if (!$included) { 
			echo "<p align=\"center\" class=\"fatalerror\">Error: unable to include " . $conf['prefix'] . $this->modules[$module]->config . " please check your configuration</p>"; 
			die;
		}

		return $var;

	} // get_info

} //modules
?>
