<?php

/*

 $Id: show_bulk_update.inc,v 1.9 2003/12/19 01:07:27 vollmerk Exp $
 $Source: /data/cvsroot/maintain/templates/show_bulk_update.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Show Bulk Update
	This is the form for doing a bulk updated of your hosts.

*/


//passes the selecting off to the "bulk_select.inc" mojo
if ($action == "select_bulk_update") {
        ?><p class="header2">Select Hosts for Bulk Update</p><?
        $conf['help']->display_help("tool_bulk_update");
        $next_action = "view_bulk_update";
        require ($conf['prefix'] . "/templates/show_bulk_select.inc");
} //end of show_bulk_update


elseif ($action == "view_bulk_update") { 

$domains  = $conf['zone']->domains()

?>

<SCRIPT TYPE="text/javascript">
function setCheckboxes(the_form, do_check)
{
    var elts      = document.forms[the_form].elements['hosts[]'];
    var elts_cnt  = elts.length;

    for (var i = 0; i < elts_cnt; i++) {
        elts[i].checked = do_check;
    } // end for

    return true;
} // end of the 'setCheckboxes()' function
</script>


<p class="header2">Bulk Host Update Information</p>

<form name="bulk" style="Display:inline" enctype="multipart/form-data" method="post" action="<?= $conf['web_path']; ?>/host.php">

<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%" bgcolor="<?= $conf['color']->bg['light']; ?>">
	<tr class="header2" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td width="45px">Update?</td>
		<td>Field Name</td>
		<td>Value</td>
	</tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><input type="checkbox" name="domain_update" value="1" /></td>
		<td title="<? $conf['help']->title('domain'); ?>">Domain:</td>
		<td>
		<? $conf['ui']->show_domain_select($domains, $host[0]->domain->id); ?>
		&nbsp;&nbsp;&nbsp; <font class="error">(Dangerous)</font>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><input type="checkbox" name="workgroup_update" value="1" /></td>
		<td title="<? $conf['help']->title('workgroup'); ?>">Workgroup:</td>
		<td>
		<?
			$host = new Host(0);
			$workgroups = $host->get_workgroups();
			$conf['ui']->show_select('workgroup_id', $workgroups,'');
		?>
		</td>
	</tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><input type="checkbox" id="os_update" name="os_update" onclick="enableField('os');disableField('generated_os');document.getElementById('gen_os_update').checked=false;" value="1" /></td>
                <td title="<? $conf['help']->title('os'); ?>">Operating System</td>
                <td>
                        <input name="os" id="os" size="35" maxlength="35" />
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><input type="checkbox" id="gen_os_update" name="gen_os_update" onclick="enableField('generated_os');disableField('os');document.getElementById('os_update').checked=false;" value="1" /></td>
		<td title="<? $conf['help']->title('os'); ?>">Generated Operating System</td>
		<td>
                <?
	                $host_oss = $conf['zone']->get_host_os();
	                $conf['ui']->show_select('generated_os',$host_oss,false);
	        ?>														
		</td>
	</tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><input type="checkbox" id="type_update" name="hardware_type_update" value="1" onclick="enableField('type');disableField('generated_type');document.getElementById('gen_type_update').checked=false;" /></td>
                <td title="<? $conf['help']->title('type'); ?>">Hardware Type</td>
                <td>
                        <input name="type" id="type" size="35" maxlength="35" />
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><input type="checkbox" id="gen_type_update" name="gen_type_update" value="1" onclick="enableField('generated_type');disableField('type');document.getElementById('type_update').checked=false;" /"></td>
		<td title="<? $conf['help']->title('type'); ?>">Generated Hardware Type</td>
		<td>
                <?
	                $host_types = $conf['zone']->get_host_hardware_type();
	                $conf['ui']->show_select('generated_type', $host_types,false);
                ?>
		</td>
	</tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><input type="checkbox" name="location_update" value="1" /></td>
                <td title="<? $conf['help']->title("location"); ?>">Location</td>
                <td>
                        <input name="location" size="35" maxlength="35" />
                </td>
        </tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><input type="checkbox" name="serial_update" value="1" /></td>
                <td title="<? $conf['help']->title("serial_number"); ?>">Serial Number</td>
                <td>
                        <input name="serial" size="35" />
                </td>
        </tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><input type="checkbox" name="po_number_update" value="1" /></td>
		<td title="<? $conf['help']->title('host_info_field'); ?>">PO Number:</td>
		<td>
                        <input name="po_number" size="35" />
		</td>
	</tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><input type="checkbox" name="warranty_date_update" value="1" /></td>
		<td title="<? $conf['help']->title('host_info_field'); ?>">Warranty Date:</td>
		<td>
                        <input name="warranty_date" size="35" />
		</td>
	</tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td><input type="checkbox" name="owning_unit_update" value="1" /></td>
                <td title="<? $conf['help']->title('host_info_field'); ?>">Owning Unit:</td>
                <td>
                        <input name="owning_unit" size="35" />
                </td>
        </tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><input type="checkbox" name="otherid_update" value="1" /></td>
                <td title="<? $conf['help']->title("other_id"); ?>">Other Id</td>
                <td>
                        <input name="other_id" size="35" />
                </td>
        </tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td><input type="checkbox" name="user_id_update" value="1" /></td>
                <td title="<? $conf['help']->title('host_info_field'); ?>">User ID:</td>
                <td>
                        <input name="user_id" size="35" />
                </td>
        </tr>
</table>
<? show_template('bborder'); ?>
<br /><br />
 

<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" bgcolor="<?= $conf['dark_bgcolor']; ?>" width="100%">
<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
        <td>Update?</td>
        <td>Hostname</td>
        <td>IP Address</td>
        <td>Last Seen</td>
</tr>
<? foreach ($hosts as $host) { ?>
        <tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td><input type="checkbox" name="hosts[]" value="<?= $host->id; ?>" /></td>
                <td><?= $host->hostname; ?></td>
                <td>
                <?
                if ($host->ip) { $conf['ui']->display_field($host->ip->ip_addr); }
                else { echo "Dynamic"; }
                ?>
                </td>
                <td>
                <?
                if ($host->last_seen) {
                        $conf['ui']->display_field(date("m\/d\/y",$host->last_seen));
                }
                else {
                        echo "<font class=\"error\">Never Seen</font>";
                }
                ?>
                </td>
        </tr>
<? } //end foreach ?>
<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
        <td colspan="2" align="left">
        <input name="select_all" type="button" value="Select All" ONCLICK="setCheckboxes('bulk',true)" />
        <input name="unselect_all" type="button" value="Unselect All" ONCLICK="setCheckboxes('bulk',false)" />
        </td>
        <td colspan="2">
        <input type="hidden" name="action" value="bulk_update" />
        <input type="submit" value="Update Hosts" />&nbsp;&nbsp;
        <input type="submit" name="action" value="Cancel" />
        </td>   
</table>
<? show_template('bborder'); ?>


</form>
<?
} //end if it's view_bulk_update  

