<?php

/*

 $Id: show_split_range.inc,v 1.8 2003/12/22 19:43:05 vollmerk Exp $
 $Source: /data/cvsroot/maintain/templates/show_split_range.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Range Split
	Show the form for spliting a range in 2.

*/

?>

<p class="header2">
<? if ( $action == 'show_create' ) { ?>
Create a new IP Range
<? } elseif ( $action == 'update') { ?>
Update a IP Range
<? } else { ?>
Split IP Range
<? } ?>
</p>

<p>This tool allows you to split an range of IP's into two ranges.  You would do
this if you wanted to move an subset of an IP range to another zone.</p>

<? if ( $conf['error']->get_status('range_top') ) { ?>
<p><? $conf['error']->show_message('range_top'); ?></p>
<? } ?>

<? show_template('tborder'); ?>

<form name="split_range" style="Display:inline" enctype="multipart/form-data" method="post" action="<?= $conf['web_path']; ?>/range.php">
<table border="0" cellpadding="2" cellspacing="0" width="100%" bgcolor="<? echo $conf['light_bgcolor']?>">
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" width="100%">
                <td title="<? $conf['help']->title("range_start"); ?>"><? $conf['help']->show_link("range_start"); ?> First Range Start: </td>
                <td>
		<? echo $range->start->ip_addr ?>
		<input type="hidden" name="ip_start_1" value="<? echo $range->start->ip_int; ?>"></input>
		</td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" width="100%">
                <td title="<? $conf['help']->title("range_end"); ?>"><? $conf['help']->show_link("range_end"); ?> First Range End: </td>
                <td>
		<? $conf['ui']->show_ip_range_select('ip_end_1', $range->start->ip_int + 1, $range->end->ip_int - 1); ?>
                </td>
        </tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title("range_start"); ?>"><? $conf['help']->show_link("range_start"); ?> Second Range Start: </td>
                <td>
		<? $conf['ui']->show_ip_range_select('ip_start_2', $range->start->ip_int + 1, $range->end->ip_int - 1); ?>
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title("range_end"); ?>"><? $conf['help']->show_link("range_end"); ?> Second Range End: </td>
                <td>
		<? echo $range->end->ip_addr ?>
		<input type="hidden" name="ip_end_2" value="<? echo $range->end->ip_int; ?>"></input>
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>&nbsp;</td>
		<td>
		<input type="submit" name="action" value="Split Range" />
		<input type="hidden" name="range_id" value="<? echo $range->id ?>" />
		</td>
	</tr>
</table>
</form>

<? show_template('bborder'); ?>
